Package org.apache.bcel.generic

# Class AnnotationElementValueGen

java.lang.Object
org.apache.bcel.generic.ElementValueGen
org.apache.bcel.generic.AnnotationElementValueGen

public class AnnotationElementValueGen extends ElementValueGen

Since:
  6.0

- ## Field Summary

  ### Fields inherited from class org.apache.bcel.generic.ElementValueGen

  `ANNOTATION, ARRAY, CLASS, cpGen, ENUM_CONSTANT, PRIMITIVE_BOOLEAN, PRIMITIVE_BYTE, PRIMITIVE_CHAR, PRIMITIVE_DOUBLE, PRIMITIVE_FLOAT, PRIMITIVE_INT, PRIMITIVE_LONG, PRIMITIVE_SHORT, STRING, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnnotationElementValueGen(int type, AnnotationEntryGen annotation, ConstantPoolGen cpool)`
  `AnnotationElementValueGen(AnnotationElementValue value, ConstantPoolGen cpool, boolean copyPoolEntries)`
  `AnnotationElementValueGen(AnnotationEntryGen a, ConstantPoolGen cpool)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dump(DataOutputStream dos)`
  `AnnotationEntryGen`
  `getAnnotation()`
  `ElementValue`
  `getElementValue()`
  Return immutable variant of this AnnotationElementValueGen
  `String`
  `stringifyValue()`

  ### Methods inherited from class org.apache.bcel.generic.ElementValueGen

  `copy, getConstantPool, getElementValueType, readElementValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AnnotationElementValueGen

    public AnnotationElementValueGen(AnnotationElementValue value, ConstantPoolGen cpool, boolean copyPoolEntries)

  - ### AnnotationElementValueGen

    public AnnotationElementValueGen(AnnotationEntryGen a, ConstantPoolGen cpool)

  - ### AnnotationElementValueGen

    public AnnotationElementValueGen(int type, AnnotationEntryGen annotation, ConstantPoolGen cpool)

- ## Method Details

  - ### dump

    public void dump(DataOutputStream dos) throws IOException
    Specified by:
      `dump` in class `ElementValueGen`
    Throws:
      `IOException`

  - ### getAnnotation

    public AnnotationEntryGen getAnnotation()

  - ### getElementValue

    public ElementValue getElementValue()
    Return immutable variant of this AnnotationElementValueGen
    Specified by:
      `getElementValue` in class `ElementValueGen`

  - ### stringifyValue

    public String stringifyValue()
    Specified by:
      `stringifyValue` in class `ElementValueGen`